mscorlib 4.0.0.0 System.Object To be added.

Provides methods that retrieve information about types at run time.

- Method
  4.0.0.0
  System.Reflection.MethodInfo `` To be added.

  Gets an object that represents the method represented by the specified delegate.

  An object that represents the method.

  The delegate to examine.
- Method
  4.0.0.0
  System.Reflection.MethodInfo `` To be added.

  Retrieves an object that represents the specified method on the direct or indirect base class where the method was first declared.

  An object that represents the specified method's initial declaration on a base class.

  The method to retrieve information about.
- Method
  4.0.0.0
  System.Reflection.EventInfo `` `` To be added.

  Retrieves an object that represents the specified event.

  An object that represents the specified event, or null if the event is not found.

  The type that contains the event. The name of the event.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.EventInfo> ``

  This method returns all events defined on the specified type, including inherited, non-public, instance, and static events.

  Retrieves a collection that represents all the events defined on a specified type.

  A collection of events for the specified type.

  The type that contains the events.
- Method
  4.0.0.0
  System.Reflection.FieldInfo `` `` To be added.

  Retrieves an object that represents a specified field.

  An object that represents the specified field, or null if the field is not found.

  The type that contains the field. The name of the field.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.FieldInfo> ``

  This method returns all fields that are defined on the specified type, including inherited, non-public, instance, and static fields.

  Retrieves a collection that represents all the fields defined on a specified type.

  A collection of fields for the specified type.

  The type that contains the fields.
- Method
  4.0.0.0
  System.Reflection.InterfaceMapping `` `` To be added.

  Returns an interface mapping for the specified type and the specified interface.

  An object that represents the interface mapping for the specified interface and type.

  The type to retrieve a mapping for. The interface to retrieve a mapping for.
- Method
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` To be added.

  Retrieves an object that represents a specified method.

  An object that represents the specified method, or null if the method is not found.

  The type that contains the method. The name of the method. An array that contains the method's parameters.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.MethodInfo> ``

  This method returns all methods defined on the specified type, including inherited, non-public, instance, and static methods.

  Retrieves a collection that represents all methods defined on a specified type.

  A collection of methods for the specified type.

  The type that contains the methods.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.PropertyInfo> ``

  This method returns all properties defined on the specified type, including inherited, non-public, instance, and static properties.

  Retrieves a collection that represents all the properties defined on a specified type.

  A collection of properties for the specified type.

  The type that contains the properties.
- Method
  4.0.0.0
  System.Reflection.PropertyInfo `` `` To be added.

  Retrieves an object that represents a specified property.

  An object that represents the specified property, or null if the property is not found.

  The type that contains the property. The name of the property.